document.addEventListener('DOMContentLoaded', () => {
  const milestones = document.querySelectorAll('.milestone');
  const progressFill = document.querySelector('.progress-fill');
  const animateButton = document.getElementById('animate-progress');

  // Position milestones along the timeline
  milestones.forEach((milestone, index) => {
    const position = (index / (milestones.length - 1)) * 100;
    milestone.style.left = `${position}%`;
  });

  // Animation function
  function animateProgress() {
    let progress = 0;
    progressFill.style.width = '0%';
    
    // Reset all milestones
    milestones.forEach(milestone => {
      milestone.classList.remove('active');
    });

    const animation = setInterval(() => {
      progress += 1;
      progressFill.style.width = `${progress}%`;

      // Activate milestones as progress passes them
      milestones.forEach((milestone, index) => {
        const position = (index / (milestones.length - 1)) * 100;
        if (progress >= position) {
          milestone.classList.add('active');
        }
      });

      if (progress >= 100) {
        clearInterval(animation);
      }
    }, 20);
  }

  // Add click event to button
  animateButton.addEventListener('click', animateProgress);

  // Initial animation
  setTimeout(animateProgress, 1000);
});
